package com.cm.common.pojo.bos;

import io.swagger.annotations.ApiModelProperty;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: PermissionBO
 * @Description: 权限业务
 * @Author: WangGeng
 * @Date: 2020/5/28 10:32 下午
 * @Version: 1.0
 **/
public class PermissionBO {

    private String permissionType;
    private String permissionUrl;

    public String getPermissionType() {
        return permissionType == null ? "" : permissionType.trim();
    }

    public void setPermissionType(String permissionType) {
        this.permissionType = permissionType;
    }

    public String getPermissionUrl() {
        return permissionUrl == null ? "" : permissionUrl.trim();
    }

    public void setPermissionUrl(String permissionUrl) {
        this.permissionUrl = permissionUrl;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"permissionType\":")
                .append("\"").append(permissionType).append("\"");
        sb.append(",\"permissionUrl\":")
                .append("\"").append(permissionUrl).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
